#!/usr/bin/env python

# displays pisum8 data

# version 0.0.4

import os
import sys
import getopt

def usage(prog='plotpisum8'):
    print """
    plotpisum8: displays pisum8 data with gnuplot

    plotpisum8 [-l] <filename>

    -l          log scale
    
    <filename>  pisum8 data file

    """

o,a = getopt.getopt(sys.argv[1:],'l')
opts = {}
for k,v in o:
    opts[k] = v

if opts.has_key('-l'):
    logscale = 1
else:
    logscale = 0
    
if len(a)<1:
    usage()
    sys.exit("Error: filename missing")
else:
    filename = a[0]

# gnuplot output

# creates a gnuplot command file
g_s = file('gs','w')

lines = []

if logscale == 1:
    lines.append("set logscale y\n")
    
lines.append("plot '"+filename+"' using 4:10 with impulses\n")
lines.append("replot 280\n")
lines.append("pause -1\n")

g_s.writelines(lines)
g_s.close()

os.system('gnuplot "gs"')
