#!/usr/bin/env python

# displays pif data

# version 0.0.3

import os
import sys
import getopt

def usage(prog='plotpif'):
    print """
    plotpif: displays ta data with gnuplot

    plotpif [-l] <filename>

    -l          plots land data instead of pit data (default)
    
    <filename>  pif data file

    """

o,a = getopt.getopt(sys.argv[1:],'lp')

opts = {}
for k,v in o:
    opts[k] = v

if opts.has_key('-l'):
    i = 2
else:
    i = 1


if len(a)<1:
    usage()
    sys.exit("Error: filename missing")
else:
    filename = a[0]

# gnuplot output

# creates a gnuplot command file
g_s = file('gs','w')

lines = []

lines.append("set logscale y\n")
lines.append("plot 10\n")
#lines.append("replot 100\n")
lines.append("replot 1000\n")
lines.append("replot '"+filename+"' using "+str(i)+" with impulses\n")
lines.append('replot "ta_verticals" with impulses\n')

lines.append("pause -1\n")

g_s.writelines(lines)
g_s.close()

os.system('gnuplot "gs"')
